A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Datastream MCP service
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The datastream MCP server has the following MCP endpoint:
- https://datastream.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
The datastream MCP server has the following tools:
| MCP Tools | |
|---|---|
| get_operation |
Gets the status of a long-running operation. Usage Some tools (for example, Parameters
Returns
|
| list_connection_profiles |
Lists connection profiles in a given project and location. For example: |
| list_streams |
Lists streams in a given project and location. For example: |
| get_stream |
Get details of the stream specified by the provided resource
|
| run_stream |
Starts an already created stream, specified by the provided resource Parameters
Returns
|
| delete_stream |
Deletes a stream, specified by the provided resource
|
| list_stream_objects |
Lists stream objects in a given stream.
|
| get_stream_object |
Get details of the stream object specified by the provided resource
|
| lookup_stream_object |
Lookup a stream object by its source object identifier. Parameters:
|
| list_static_ips |
Lists static IP addresses of the provided resource name that need to be allowlisted by the customer when using the static-IP connectivity method. Returns up to 100 IP addresses.
|
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://datastream.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |